Bug 1105613 - Review Request: otter-browser - Browser aiming to recreate classic Opera (12.x) UI using Qt5.
Summary: Review Request: otter-browser - Browser aiming to recreate classic Opera (12....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-06 14:14 UTC by MartinKG
Modified: 2014-12-23 18:33 UTC (History)
6 users (show)

Fixed In Version: otter-browser-0.9.04-0.2.beta4gitcdcf0c0.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-10 20:26:56 UTC
Type: ---
lkundrak: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description MartinKG 2014-06-06 14:14:12 UTC
Spec URL: https://www.dropbox.com/s/ycxcfrhrk1jxn75/otter-browser.spec
SRPM URL: https://www.dropbox.com/s/4k3wxa85w3ynrdk/otter-browser-0.9.01-1.fc20.src.rpm
Description: Browser aiming to recreate classic Opera (12.x) UI using Qt5.
Fedora Account System Username: martinkg

rpmlint otter-browser-0.9.01-1.fc20.src.rpm
otter-browser.src: W: spelling-error Summary(en_US) versa -> avers, verse, verso
otter-browser.src: W: invalid-url Source0: otter-0.9.01.tar.gz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

rpmlint otter-browser-0.9.01-1.fc20.x86_64.rpm
otter-browser.x86_64: W: spelling-error Summary(en_US) versa -> avers, verse, verso
otter-browser.x86_64: W: no-manual-page-for-binary otter-browser
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 1 MartinKG 2014-06-06 14:36:59 UTC
Spec URL: https://www.dropbox.com/s/ycxcfrhrk1jxn75/otter-browser.spec

SRPM URL: https://www.dropbox.com/s/73omj9754uwqy6c/otter-browser-0.9.01-2.fc20.src.rpm

%changelog
* Fri Jun 06 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.9.01-2
- added BR desktop-file-utils

Comment 2 MartinKG 2014-06-07 06:42:25 UTC
Spec URL: http://martinkg.fedorapeople.org/Review/SPECS/otter-browser.spec

SRPM URL: http://martinkg.fedorapeople.org/Review/SRPMS/otter-browser-0.9.01-3.fc20.src.rpm

%changelog
* Sat Jun 07 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.9.01-3
- replaced qmake-qt5 by cmake
- added manual page

Comment 3 MartinKG 2014-06-08 06:57:48 UTC
Spec URL: http://martinkg.fedorapeople.org/Review/SPECS/otter-browser.spec

SRPM URL: http://martinkg.fedorapeople.org/Review/SRPMS/otter-browser-0.9.01-4.beta1.fc20.src.rpm

%changelog
* Sun Jun 08 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.9.01-4.beta1
- changed release Tag

Comment 4 Benedikt Morbach 2014-06-23 14:02:46 UTC
Note: this is an unofficial/preliminary review

rpmlint:
> otter-browser.src: W: invalid-url Source0: otter-0.9.01.tar.gz
Should be a full url to the source

Why are you not following http://fedoraproject.org/wiki/Packaging:Cmake ?
More specifically, please use make %{?_smp_mflags} in %build.

Comment 5 MartinKG 2014-06-24 14:54:09 UTC
@Benedikt

thanks for your feedback.

the download link for otter-0.9.01.tar.gz is:
https://github.com/Emdek/otter/archive/v0.9.01.tar.gz

but how can i use this as URL ?

Comment 6 MartinKG 2014-08-14 12:20:27 UTC
Spec URL: http://martinkg.fedorapeople.org/Review/SPECS/otter-browser.spec

SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/otter-browser-0.9.02-1.beta2.fc20.src.rpm

%changelog
* Thu Aug 14 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.9.02-1.beta2
- rebuild for new release

* Mon Jun 23 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.9.01-5.beta1
- changed %%cmake command following fedora packaging guide

* Sun Jun 08 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.9.01-4.beta1
- changed release Tag

Comment 7 Vasiliy Glazov 2014-08-28 05:31:32 UTC
You can use this URL (https://github.com/Emdek/otter/archive/v0.9.02.tar.gz) directly.
For Example:
...
URL:            http://otter-browser.org/
Source0:        https://github.com/Emdek/otter/archive/v%{version}.tar.gz
Source1:        otter-browser.1
...

Comment 8 Vasiliy Glazov 2014-08-28 06:17:45 UTC
And instead of
 make install DESTDIR=%{buildroot}
use macros
 %make_install

Comment 9 MartinKG 2014-08-28 09:51:23 UTC
when i download the tarball from thist URL (https://github.com/Emdek/otter/archive/v0.9.02.tar.gz) 

the downloaded file becomes the name otter-0.9.02.tar.gz
and i get the message:

error: File /home/martin/rpmbuild/SOURCES/v0.9.02.tar.gz: No such file or directory

Comment 10 Vasiliy Glazov 2014-08-28 09:54:06 UTC
How you download this file?
If via wget then it must has v0.9.02.tar.gz name.

What OS you use to download file?

Comment 11 MartinKG 2014-08-28 09:59:09 UTC
ok, with wget it works.

Comment 12 MartinKG 2014-08-28 11:12:08 UTC
Spec URL: https://www.dropbox.com/s/ycxcfrhrk1jxn75/otter-browser.spec
Spec URL: https://www.dropbox.com/s/fsideaaxz8jdogs/otter-browser-0.9.02-1.fc20.src.rpm

%changelog
* Thu Aug 28 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.9.02-1
- Update to 0.9.02
- used macro make_install

Comment 13 MartinKG 2014-08-28 13:58:08 UTC
Spec URL: https://www.dropbox.com/s/ycxcfrhrk1jxn75/otter-browser.spec?dl=0
pec URL: https://www.dropbox.com/s/kcuz2bcb3ivizb7/otter-browser-0.9.02-2.fc20.src.rpm?dl=0

%changelog
* Thu Aug 28 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.9.02-2
- added own directory for otter-browser

Comment 14 MartinKG 2014-10-30 18:57:49 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/otter-browser.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/otter-browser-0.9.03-0.1.beta3gitc2c558a.fc20.src.rpm

%changelog
* Thu Oct 30 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.9.03-0.1.beta3gitc2c558a
- use commit revision in source url
- added macro %%find_lang

Comment 15 Lubomir Rintel 2014-12-07 13:39:57 UTC
Looking well enough, taking it for a review:

* Named correctly
* Version correct
* License good for Fedora
* License text present
- License tag might be incorrect (see below)
* SPEC file clean and legible
* RPMLint happy
- Filelist contains an orphan (see below)
- Requires might be missing a dependency (see below)
* Provides fine
* Builds fine in mock

0.) The "Url" tag seems wrong:

Project's web site seems to be http://otter-browser.org/

1.) "License" tag might be wrong:

e.g. the header at ./src/core/SettingsManager.h suggest that it's GPLv3+?

2.)  You install into %{_datadir}/icons/hicolor, but don't own it or depends on anything that would own it.

Also, please consider adding AppData. While it's not strictly required yet, your application won't show up in the sotware center without it. See draft guidelines:

https://fedoraproject.org/wiki/User:Rhughes/DraftAppDataGuidelines

Comment 16 MartinKG 2014-12-08 17:24:35 UTC
(In reply to Lubomir Rintel from comment #15)
> Looking well enough, taking it for a review:
> 
> * Named correctly
> * Version correct
> * License good for Fedora
> * License text present
> - License tag might be incorrect (see below)
> * SPEC file clean and legible
> * RPMLint happy
> - Filelist contains an orphan (see below)
> - Requires might be missing a dependency (see below)
> * Provides fine
> * Builds fine in mock
> 
> 0.) The "Url" tag seems wrong:
> 
> Project's web site seems to be http://otter-browser.org/

done
> 
> 1.) "License" tag might be wrong:
> 
> e.g. the header at ./src/core/SettingsManager.h suggest that it's GPLv3+?
> 

done
> 2.)  You install into %{_datadir}/icons/hicolor, but don't own it or depends
> on anything that would own it.
> 

removed, done.
> Also, please consider adding AppData. While it's not strictly required yet,
> your application won't show up in the sotware center without it. See draft
> guidelines:
> 
> https://fedoraproject.org/wiki/User:Rhughes/DraftAppDataGuidelines
done

Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/otter-browser.spec
Spec URL: https://martinkg.fedorapeople.org/Review/SRPMS/otter-browser-0.9.04-0.1.beta4git0bbf467.fc20.src.rpm

%changelog
* Mon Dec 08 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.9.04-0.1.beta4git0bbf467
- Update to 0.9.04-0.1.beta4
- correct project's web site url
- correct license tag
- removed %%{_datadir}/icons/hicolor was not owned or used
- added %%check section
- added BR libappstream-glib
- added appdata.xml file

Comment 17 Lubomir Rintel 2014-12-09 08:52:42 UTC
Looks good to me now, thank you!

APPROVED

Comment 18 MartinKG 2014-12-09 09:42:52 UTC
@Lubomir
many thanks for the review.

New Package SCM Request
=======================
Package Name: otter-browser
Short Description: Browser aiming to recreate classic Opera (12.x) UI using Qt5.
Owners: martinkg
Branches: f20 f21 rawhide
InitialCC:

Comment 19 Gwyn Ciesla 2014-12-10 15:07:05 UTC
Git done (by process-git-requests).

Comment 20 Fedora Update System 2014-12-10 19:56:50 UTC
otter-browser-0.9.04-0.1.beta4git0bbf467.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/otter-browser-0.9.04-0.1.beta4git0bbf467.fc21

Comment 21 Fedora Update System 2014-12-10 20:22:37 UTC
otter-browser-0.9.04-0.1.beta4git0bbf467.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/otter-browser-0.9.04-0.1.beta4git0bbf467.fc20

Comment 22 MartinKG 2014-12-10 20:26:56 UTC
otter-browser has been built successfully on fc20, fc21 and rawhide.

Comment 23 Fedora Update System 2014-12-12 21:04:52 UTC
otter-browser-0.9.04-0.2.beta4gitcdcf0c0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/otter-browser-0.9.04-0.2.beta4gitcdcf0c0.fc20

Comment 24 Fedora Update System 2014-12-12 21:05:21 UTC
otter-browser-0.9.04-0.2.beta4gitcdcf0c0.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/otter-browser-0.9.04-0.2.beta4gitcdcf0c0.fc21

Comment 25 Fedora Update System 2014-12-23 18:26:07 UTC
otter-browser-0.9.04-0.2.beta4gitcdcf0c0.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2014-12-23 18:33:15 UTC
otter-browser-0.9.04-0.2.beta4gitcdcf0c0.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.